View a markdown version of this page

ImportPolicy - Next generation Resilience Hub

ImportPolicy

Imports a V1 policy into V2, mapping RTO/RPO values from V1 scenarios.

Request Syntax

POST /v2/import-policy HTTP/1.1 Content-type: application/json { "availabilitySlo": { "target": number }, "clientToken": "string", "kmsKeyId": "string", "multiAzDisasterRecoveryApproach": "string", "multiRegionDisasterRecoveryApproach": "string", "tags": { "string" : "string" }, "v1PolicyArn": "string" }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

availabilitySlo

The availability SLO to set on the imported policy.

Type: AvailabilitySlo object

Required: No

clientToken

Idempotency token.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 63.

Pattern: [A-Za-z0-9_.-]{0,63}

Required: No

kmsKeyId

KMS key identifier — accepts key ID, key ARN, alias name, or alias ARN.

Type: String

Length Constraints: Minimum length of 1. Maximum length of 2048.

Required: No

multiAzDisasterRecoveryApproach

The multi-AZ disaster recovery approach for the imported policy.

Type: String

Valid Values: ACTIVE_ACTIVE | HOT_STANDBY | WARM_STANDBY | PILOT_LIGHT | BACKUP_AND_RESTORE

Required: No

multiRegionDisasterRecoveryApproach

The multi-Region disaster recovery approach for the imported policy.

Type: String

Valid Values: ACTIVE_ACTIVE | HOT_STANDBY | WARM_STANDBY | PILOT_LIGHT | BACKUP_AND_RESTORE

Required: No

tags

Resource tags.

Type: String to string map

Map Entries: Maximum number of 50 items.

Key Length Constraints: Minimum length of 1. Maximum length of 128.

Key Pattern: [^\x00-\x1f\x22]+

Value Length Constraints: Minimum length of 0. Maximum length of 256.

Value Pattern: [^\x00-\x1f\x22]*

Required: No

v1PolicyArn

ARN identifier.

Type: String

Length Constraints: Minimum length of 31.

Pattern: arn:(aws|aws-cn|aws-iso|aws-iso-[a-z]{1}|aws-us-gov):[A-Za-z0-9][A-Za-z0-9_/.-]{0,62}:([a-z]{2}-((iso[a-z]{0,1}-)|(gov-)){0,1}[a-z]+-[0-9]):[0-9]{12}:[A-Za-z0-9/][A-Za-z0-9:_/+.-]{0,1023}

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "policy": { "associatedServiceCount": number, "availabilitySlo": { "target": number }, "createdAt": number, "dataRecovery": { "timeBetweenBackupsInMinutes": number }, "description": "string", "kmsKeyId": "string", "multiAz": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "multiRegion": { "disasterRecoveryApproach": "string", "rpoInMinutes": number, "rtoInMinutes": number }, "name": "string", "policyArn": "string", "tags": { "string" : "string" }, "updatedAt": number } }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

policy

The imported policy.

Type: Policy object

Errors

For information about the errors that are common to all actions, see Common Error Types.

AccessDeniedException

Access denied — caller lacks required permissions.

HTTP Status Code: 403

ConflictException

Conflict — resource already exists.

HTTP Status Code: 409

InternalServerException

Internal service error.

HTTP Status Code: 500

ResourceNotFoundException

Resource not found.

resourceId

The identifier of the resource that was not found.

resourceType

The type of the resource that was not found.

HTTP Status Code: 404

ValidationException

Validation error — invalid input parameters.

fieldList

The list of fields that failed validation.

reason

The reason for the validation failure.

HTTP Status Code: 400

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: